import numpy as np
from astropy import table
from . import PACKAGE_PATH


# the main algorithm
def flip_image(img: np.ndarray):
    """ flip an input image

    This function uses an awesome algorithm to flip an input image.

    Parameters
    ----------
    img:
        the input image

    Returns
    -------
    the flipped image

    """
    try:
        assert img.ndim == 2
    except AssertionError:
        raise AssertionError("The input image is {}D not 2D!".format(img.ndim))
    return img[::-1, ::-1]


# a demo on how to package data
def print_data():
    """ print out data """
    fp_data = PACKAGE_PATH + "/data/data.csv"
    data = table.Table.read(fp_data)
    print(data)
    return
